# oldp-api

OldpApi - JavaScript client for oldp-api
With the Open Legal Data API you can access various data from the legal domain, e.g. law text or case files. The data may be used for semantic analysis or to create statistics. For more information visit our website. https://openlegaldata.io/
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v1
- Package version: v1
- Build package: io.swagger.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/),
please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install oldp-api --save
```

##### Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing 
into the directory containing `package.json` (and this README). Let's call this `JAVASCRIPT_CLIENT_DIR`. Then run:

```shell
npm install
```

Next, [link](https://docs.npmjs.com/cli/link) it globally in npm with the following, also from `JAVASCRIPT_CLIENT_DIR`:

```shell
npm link
```

Finally, switch to the directory you want to use your oldp-api from, and run:

```shell
npm link /path/to/<JAVASCRIPT_CLIENT_DIR>
```

You should now be able to `require('oldp-api')` in javascript files from the directory you ran the last 
command above from.

#### git
#
If the library is hosted at a git repository, e.g.
https://github.com/openlegaldata/oldp-sdk-javascript
then install it via:

```shell
    npm install openlegaldata/oldp-sdk-javascript --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file, that's to say your javascript file where you actually 
use this library):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var OldpApi = require('oldp-api');

var defaultClient = OldpApi.ApiClient.instance;

// Configure API key authorization: api_key
var api_key = defaultClient.authentications['api_key'];
api_key.apiKey = "YOUR API KEY"
// Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
//api_key.apiKeyPrefix['Authorization'] = "Token"

var api = new OldpApi.AnnotationLabelsApi()

var data = new OldpApi.AnnotationLabel(); // {AnnotationLabel} 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.annotationLabelsCreate(data, callback);

```

## Documentation for API Endpoints

All URIs are relative to *https://de.openlegaldata.io/api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*OldpApi.AnnotationLabelsApi* | [**annotationLabelsCreate**](docs/AnnotationLabelsApi.md#annotationLabelsCreate) | **POST** /annotation_labels/ | 
*OldpApi.AnnotationLabelsApi* | [**annotationLabelsDelete**](docs/AnnotationLabelsApi.md#annotationLabelsDelete) | **DELETE** /annotation_labels/{id}/ | 
*OldpApi.AnnotationLabelsApi* | [**annotationLabelsList**](docs/AnnotationLabelsApi.md#annotationLabelsList) | **GET** /annotation_labels/ | 
*OldpApi.AnnotationLabelsApi* | [**annotationLabelsPartialUpdate**](docs/AnnotationLabelsApi.md#annotationLabelsPartialUpdate) | **PATCH** /annotation_labels/{id}/ | 
*OldpApi.AnnotationLabelsApi* | [**annotationLabelsRead**](docs/AnnotationLabelsApi.md#annotationLabelsRead) | **GET** /annotation_labels/{id}/ | 
*OldpApi.AnnotationLabelsApi* | [**annotationLabelsUpdate**](docs/AnnotationLabelsApi.md#annotationLabelsUpdate) | **PUT** /annotation_labels/{id}/ | 
*OldpApi.CaseAnnotationsApi* | [**caseAnnotationsCreate**](docs/CaseAnnotationsApi.md#caseAnnotationsCreate) | **POST** /case_annotations/ | 
*OldpApi.CaseAnnotationsApi* | [**caseAnnotationsDelete**](docs/CaseAnnotationsApi.md#caseAnnotationsDelete) | **DELETE** /case_annotations/{id}/ | 
*OldpApi.CaseAnnotationsApi* | [**caseAnnotationsList**](docs/CaseAnnotationsApi.md#caseAnnotationsList) | **GET** /case_annotations/ | 
*OldpApi.CaseAnnotationsApi* | [**caseAnnotationsPartialUpdate**](docs/CaseAnnotationsApi.md#caseAnnotationsPartialUpdate) | **PATCH** /case_annotations/{id}/ | 
*OldpApi.CaseAnnotationsApi* | [**caseAnnotationsRead**](docs/CaseAnnotationsApi.md#caseAnnotationsRead) | **GET** /case_annotations/{id}/ | 
*OldpApi.CaseAnnotationsApi* | [**caseAnnotationsUpdate**](docs/CaseAnnotationsApi.md#caseAnnotationsUpdate) | **PUT** /case_annotations/{id}/ | 
*OldpApi.CaseMarkersApi* | [**caseMarkersCreate**](docs/CaseMarkersApi.md#caseMarkersCreate) | **POST** /case_markers/ | 
*OldpApi.CaseMarkersApi* | [**caseMarkersDelete**](docs/CaseMarkersApi.md#caseMarkersDelete) | **DELETE** /case_markers/{id}/ | 
*OldpApi.CaseMarkersApi* | [**caseMarkersList**](docs/CaseMarkersApi.md#caseMarkersList) | **GET** /case_markers/ | 
*OldpApi.CaseMarkersApi* | [**caseMarkersPartialUpdate**](docs/CaseMarkersApi.md#caseMarkersPartialUpdate) | **PATCH** /case_markers/{id}/ | 
*OldpApi.CaseMarkersApi* | [**caseMarkersRead**](docs/CaseMarkersApi.md#caseMarkersRead) | **GET** /case_markers/{id}/ | 
*OldpApi.CaseMarkersApi* | [**caseMarkersUpdate**](docs/CaseMarkersApi.md#caseMarkersUpdate) | **PUT** /case_markers/{id}/ | 
*OldpApi.CasesApi* | [**casesCreate**](docs/CasesApi.md#casesCreate) | **POST** /cases/ | 
*OldpApi.CasesApi* | [**casesDelete**](docs/CasesApi.md#casesDelete) | **DELETE** /cases/{id}/ | 
*OldpApi.CasesApi* | [**casesList**](docs/CasesApi.md#casesList) | **GET** /cases/ | 
*OldpApi.CasesApi* | [**casesPartialUpdate**](docs/CasesApi.md#casesPartialUpdate) | **PATCH** /cases/{id}/ | 
*OldpApi.CasesApi* | [**casesRead**](docs/CasesApi.md#casesRead) | **GET** /cases/{id}/ | 
*OldpApi.CasesApi* | [**casesSearchList**](docs/CasesApi.md#casesSearchList) | **GET** /cases/search/ | 
*OldpApi.CasesApi* | [**casesUpdate**](docs/CasesApi.md#casesUpdate) | **PUT** /cases/{id}/ | 
*OldpApi.CitiesApi* | [**citiesList**](docs/CitiesApi.md#citiesList) | **GET** /cities/ | 
*OldpApi.CitiesApi* | [**citiesRead**](docs/CitiesApi.md#citiesRead) | **GET** /cities/{id}/ | 
*OldpApi.CountriesApi* | [**countriesList**](docs/CountriesApi.md#countriesList) | **GET** /countries/ | 
*OldpApi.CountriesApi* | [**countriesRead**](docs/CountriesApi.md#countriesRead) | **GET** /countries/{id}/ | 
*OldpApi.CourtsApi* | [**courtsList**](docs/CourtsApi.md#courtsList) | **GET** /courts/ | 
*OldpApi.CourtsApi* | [**courtsRead**](docs/CourtsApi.md#courtsRead) | **GET** /courts/{id}/ | 
*OldpApi.LawBooksApi* | [**lawBooksCreate**](docs/LawBooksApi.md#lawBooksCreate) | **POST** /law_books/ | 
*OldpApi.LawBooksApi* | [**lawBooksDelete**](docs/LawBooksApi.md#lawBooksDelete) | **DELETE** /law_books/{id}/ | 
*OldpApi.LawBooksApi* | [**lawBooksList**](docs/LawBooksApi.md#lawBooksList) | **GET** /law_books/ | 
*OldpApi.LawBooksApi* | [**lawBooksPartialUpdate**](docs/LawBooksApi.md#lawBooksPartialUpdate) | **PATCH** /law_books/{id}/ | 
*OldpApi.LawBooksApi* | [**lawBooksRead**](docs/LawBooksApi.md#lawBooksRead) | **GET** /law_books/{id}/ | 
*OldpApi.LawBooksApi* | [**lawBooksUpdate**](docs/LawBooksApi.md#lawBooksUpdate) | **PUT** /law_books/{id}/ | 
*OldpApi.LawsApi* | [**lawsCreate**](docs/LawsApi.md#lawsCreate) | **POST** /laws/ | 
*OldpApi.LawsApi* | [**lawsDelete**](docs/LawsApi.md#lawsDelete) | **DELETE** /laws/{id}/ | 
*OldpApi.LawsApi* | [**lawsList**](docs/LawsApi.md#lawsList) | **GET** /laws/ | 
*OldpApi.LawsApi* | [**lawsPartialUpdate**](docs/LawsApi.md#lawsPartialUpdate) | **PATCH** /laws/{id}/ | 
*OldpApi.LawsApi* | [**lawsRead**](docs/LawsApi.md#lawsRead) | **GET** /laws/{id}/ | 
*OldpApi.LawsApi* | [**lawsSearchList**](docs/LawsApi.md#lawsSearchList) | **GET** /laws/search/ | 
*OldpApi.LawsApi* | [**lawsUpdate**](docs/LawsApi.md#lawsUpdate) | **PUT** /laws/{id}/ | 
*OldpApi.StatesApi* | [**statesList**](docs/StatesApi.md#statesList) | **GET** /states/ | 
*OldpApi.StatesApi* | [**statesRead**](docs/StatesApi.md#statesRead) | **GET** /states/{id}/ | 
*OldpApi.TokenAuthApi* | [**tokenAuthCreate**](docs/TokenAuthApi.md#tokenAuthCreate) | **POST** /token-auth/ | 
*OldpApi.UsersApi* | [**usersList**](docs/UsersApi.md#usersList) | **GET** /users/ | 
*OldpApi.UsersApi* | [**usersMe**](docs/UsersApi.md#usersMe) | **GET** /users/me/ | 
*OldpApi.UsersApi* | [**usersRead**](docs/UsersApi.md#usersRead) | **GET** /users/{id}/ | 


## Documentation for Models

 - [OldpApi.AnnotationLabel](docs/AnnotationLabel.md)
 - [OldpApi.CaseAnnotation](docs/CaseAnnotation.md)
 - [OldpApi.CaseMarker](docs/CaseMarker.md)
 - [OldpApi.CaseSearch](docs/CaseSearch.md)
 - [OldpApi.City](docs/City.md)
 - [OldpApi.Country](docs/Country.md)
 - [OldpApi.Court](docs/Court.md)
 - [OldpApi.CourtMinimal](docs/CourtMinimal.md)
 - [OldpApi.InlineResponse200](docs/InlineResponse200.md)
 - [OldpApi.InlineResponse2001](docs/InlineResponse2001.md)
 - [OldpApi.InlineResponse20010](docs/InlineResponse20010.md)
 - [OldpApi.InlineResponse20011](docs/InlineResponse20011.md)
 - [OldpApi.InlineResponse20012](docs/InlineResponse20012.md)
 - [OldpApi.InlineResponse2002](docs/InlineResponse2002.md)
 - [OldpApi.InlineResponse2003](docs/InlineResponse2003.md)
 - [OldpApi.InlineResponse2004](docs/InlineResponse2004.md)
 - [OldpApi.InlineResponse2005](docs/InlineResponse2005.md)
 - [OldpApi.InlineResponse2006](docs/InlineResponse2006.md)
 - [OldpApi.InlineResponse2007](docs/InlineResponse2007.md)
 - [OldpApi.InlineResponse2008](docs/InlineResponse2008.md)
 - [OldpApi.InlineResponse2009](docs/InlineResponse2009.md)
 - [OldpApi.Law](docs/Law.md)
 - [OldpApi.LawBook](docs/LawBook.md)
 - [OldpApi.LawSearch](docs/LawSearch.md)
 - [OldpApi.ModelCase](docs/ModelCase.md)
 - [OldpApi.State](docs/State.md)
 - [OldpApi.User](docs/User.md)


## Documentation for Authorization


### api_key

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

