/**
 * Open Legal Data API
 * With the Open Legal Data API you can access various data from the legal domain, e.g. law text or case files. The data may be used for semantic analysis or to create statistics. For more information visit our website. https://openlegaldata.io/
 *
 * OpenAPI spec version: v1
 * Contact: hello@openlegaldata.io
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.OldpApi) {
      root.OldpApi = {};
    }
    root.OldpApi.CaseSearch = factory(root.OldpApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The CaseSearch model module.
   * @module model/CaseSearch
   * @version v1
   */

  /**
   * Constructs a new <code>CaseSearch</code>.
   * @alias module:model/CaseSearch
   * @class
   * @param slug {String} Used to urls (consists of court, date, file number)
   * @param text {String} 
   */
  var exports = function(slug, text) {
    var _this = this;

    _this['slug'] = slug;





    _this['text'] = text;

  };

  /**
   * Constructs a <code>CaseSearch</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/CaseSearch} obj Optional instance to populate.
   * @return {module:model/CaseSearch} The populated <code>CaseSearch</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('slug')) {
        obj['slug'] = ApiClient.convertToType(data['slug'], 'String');
      }
      if (data.hasOwnProperty('date')) {
        obj['date'] = ApiClient.convertToType(data['date'], 'Date');
      }
      if (data.hasOwnProperty('court_jurisdiction')) {
        obj['court_jurisdiction'] = ApiClient.convertToType(data['court_jurisdiction'], 'String');
      }
      if (data.hasOwnProperty('court_level_of_appeal')) {
        obj['court_level_of_appeal'] = ApiClient.convertToType(data['court_level_of_appeal'], 'String');
      }
      if (data.hasOwnProperty('decision_type')) {
        obj['decision_type'] = ApiClient.convertToType(data['decision_type'], 'String');
      }
      if (data.hasOwnProperty('court')) {
        obj['court'] = ApiClient.convertToType(data['court'], 'String');
      }
      if (data.hasOwnProperty('text')) {
        obj['text'] = ApiClient.convertToType(data['text'], 'String');
      }
      if (data.hasOwnProperty('id')) {
        obj['id'] = ApiClient.convertToType(data['id'], 'String');
      }
    }
    return obj;
  }

  /**
   * Used to urls (consists of court, date, file number)
   * @member {String} slug
   */
  exports.prototype['slug'] = undefined;
  /**
   * Publication date as in source
   * @member {Date} date
   */
  exports.prototype['date'] = undefined;
  /**
   * @member {String} court_jurisdiction
   */
  exports.prototype['court_jurisdiction'] = undefined;
  /**
   * @member {String} court_level_of_appeal
   */
  exports.prototype['court_level_of_appeal'] = undefined;
  /**
   * @member {String} decision_type
   */
  exports.prototype['decision_type'] = undefined;
  /**
   * Responsible court entity
   * @member {String} court
   */
  exports.prototype['court'] = undefined;
  /**
   * @member {String} text
   */
  exports.prototype['text'] = undefined;
  /**
   * @member {String} id
   */
  exports.prototype['id'] = undefined;



  return exports;
}));


