/**
 * Open Legal Data API
 * With the Open Legal Data API you can access various data from the legal domain, e.g. law text or case files. The data may be used for semantic analysis or to create statistics. For more information visit our website. https://openlegaldata.io/
 *
 * OpenAPI spec version: v1
 * Contact: hello@openlegaldata.io
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.1
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.OldpApi) {
      root.OldpApi = {};
    }
    root.OldpApi.Law = factory(root.OldpApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The Law model module.
   * @module model/Law
   * @version v1
   */

  /**
   * Constructs a new <code>Law</code>.
   * @alias module:model/Law
   * @class
   * @param book {Number} The book this law belongs to
   * @param slug {String} Slug based on section
   */
  var exports = function(book, slug) {
    var _this = this;

    _this['book'] = book;


    _this['slug'] = slug;
  };

  /**
   * Constructs a <code>Law</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Law} obj Optional instance to populate.
   * @return {module:model/Law} The populated <code>Law</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('book')) {
        obj['book'] = ApiClient.convertToType(data['book'], 'Number');
      }
      if (data.hasOwnProperty('title')) {
        obj['title'] = ApiClient.convertToType(data['title'], 'String');
      }
      if (data.hasOwnProperty('content')) {
        obj['content'] = ApiClient.convertToType(data['content'], 'String');
      }
      if (data.hasOwnProperty('slug')) {
        obj['slug'] = ApiClient.convertToType(data['slug'], 'String');
      }
    }
    return obj;
  }

  /**
   * The book this law belongs to
   * @member {Number} book
   */
  exports.prototype['book'] = undefined;
  /**
   * Verbose title of law
   * @member {String} title
   */
  exports.prototype['title'] = undefined;
  /**
   * Law content with HTML tags and reference markers (managed by CKEditor)
   * @member {String} content
   */
  exports.prototype['content'] = undefined;
  /**
   * Slug based on section
   * @member {String} slug
   */
  exports.prototype['slug'] = undefined;



  return exports;
}));


